ATA_MMIO_DEVCHK(9)

NAME
ata_mmio_devchk - PATA device presence detection

SYNOPSIS

unsigned int ata_mmio_devchk (struct ata_port * ap, unsigned int device);

ARGUMENTS

ap  ATA channel to examine

device
    Device to examine (starting at zero)

DESCRIPTION

This technique was originally described in Hale Landis's ATADRVR (www.ata-atapi.com), and later found its way into the ATA/ATAPI spec.

Write a pattern to the ATA shadow registers, and if a device is present, it will respond by correctly storing and echoing back the ATA shadow register contents.

LOCKING

caller.

AUTHOR
Jeff Garzik.